GreatWksDBParserInternal::Database Class Reference documentation

GreatWksDBParserInternal::Database Class Reference

the database of a GreatWksDBParser More...

## Public Member Functions
| Database ()
| constructor
bool | addCell (MWAWVec2i const &pos, Cell const &cell)
| add a cell data in one given position
int | getRowHeight (int row) const
| returns the row size in point
std::vector< float > | convertInPoint (std::vector< int > const &list) const
| convert the m_widthCols in a vector of of point size

## Public Attributes
int | m_numRecords
| the number of records
std::vector< MWAWEntry > | m_rowList
| the list of rows data
std::vector< Field > | m_fieldList
| the list of field
int | m_widthDefault
| the default column width
std::vector< int > | m_widthCols
| the column size in points
int | m_heightDefault
| the default row height
std::vector< int > | m_heightRows
| the row height in points
std::map< int, std::vector< Cell > > | m_rowCellsMap
| the map row -> list of cells
std::string | m_name
| the database name

## Detailed Description

the database of a GreatWksDBParser

## Constructor & Destructor Documentation

## ◆ Database()

GreatWksDBParserInternal::Database::Database | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ addCell()

bool GreatWksDBParserInternal::Database::addCell | ( | MWAWVec2i const & | pos,
|  | Cell const & | cell )
| inline

add a cell data in one given position

## ◆ convertInPoint()

std::vector< float > GreatWksDBParserInternal::Database::convertInPoint | ( | std::vector< int > const & | list | ) | const
| inline

convert the m_widthCols in a vector of of point size

## ◆ getRowHeight()

int GreatWksDBParserInternal::Database::getRowHeight | ( | int | row | ) | const
| inline

returns the row size in point

## Member Data Documentation

## ◆ m_fieldList

std::vector<Field> GreatWksDBParserInternal::Database::m_fieldList

the list of field

Referenced by addCell(), convertInPoint(), and Database().

## ◆ m_heightDefault

int GreatWksDBParserInternal::Database::m_heightDefault

the default row height

Referenced by Database(), and getRowHeight().

## ◆ m_heightRows

std::vector<int> GreatWksDBParserInternal::Database::m_heightRows

the row height in points

Referenced by Database(), and getRowHeight().

## ◆ m_name

std::string GreatWksDBParserInternal::Database::m_name

the database name

Referenced by Database().

## ◆ m_numRecords

int GreatWksDBParserInternal::Database::m_numRecords

the number of records

Referenced by Database().

## ◆ m_rowCellsMap

std::map<int, std::vector<Cell> > GreatWksDBParserInternal::Database::m_rowCellsMap

the map row -> list of cells

Referenced by addCell(), and Database().

## ◆ m_rowList

std::vector<MWAWEntry> GreatWksDBParserInternal::Database::m_rowList

the list of rows data

Referenced by Database().

## ◆ m_widthCols

std::vector<int> GreatWksDBParserInternal::Database::m_widthCols

the column size in points

Referenced by Database().

## ◆ m_widthDefault

int GreatWksDBParserInternal::Database::m_widthDefault

the default column width

Referenced by convertInPoint(), and Database().

The documentation for this class was generated from the following file:

- GreatWksDBParser.cxx